# Utf-8 format resource file for visual explorer
# $Id: visualexplorer.rsc,v 1.1.2.1 2010/08/03 15:19:27 neilk Exp $
begin:resource
prodid:lomond
version:2
screen:480,800
font;name=swiss:-22

###############################################################################
# ...file item display...
begin;id=3001;screen=480,800;position=10000,0;size=480,-90:panel
background;alpha=255;tint=0:res://app/explorer-cell.png,0xC7DEF5
display;enabled=0:1

begin;id=1;position=-65,10;size=240,-70;rule=1:textfield
font;name=swiss:-22
textparams;truncation=3;alignment=4:0xd8e0eb
textfield;multiline=1;wrapping=1:
end:textfield

begin;id=2;position=330,-25;size=100,-40;rule=1:textfield
border;alpha=180:0x576e98
background;tint=180:,0x32405a
font;name=swiss:-18
textparams;alignment=5:0xd8e0eb
textfield:34/32/3967
end:textfield

begin;id=3;position=10,30;size=-39,-39:image
end:image
end:panel

###############################################################################
# ...directory item display...
begin;id=3002;screen=480,800;position=10000,0;size=480,-90:panel
background;alpha=255;tint=0:res://app/explorer-cell.png,0xC7DEF5
display;enabled=0:1

begin;id=1;position=-65,10;size=240,-70;rule=1:textfield
font;name=swiss:-22
textparams;truncation=3;alignment=4:0xd8e0eb
textfield;multiline=1;wrapping=1:
end:textfield

begin;id=2;position=330,-25;size=100,-40;rule=1:textfield
border;alpha=180:0x576e98
background;tint=180:,0x32405a
font;name=swiss:-18
textparams;alignment=5:0xd8e0eb
textfield:-
end:textfield

begin;id=3;position=10,30;size=-39,-39:image
end:image
end:panel

###############################################################################
# ...info item display...
begin;id=3003;screen=480,800;position=10000,0;size=480,-90:panel
background;alpha=255;tint=255:res://app/explorer-cell.png,0x141e2e
display;enabled=0:1

begin;id=1;position=-10,20;size=390,-55;rule=1:textfield
font;name=swiss:-20
textparams;truncation=3;alignment=4:0xD8E0EB
textfield;multiline=1;wrapping=1:
end:textfield
end:panel


###############################################################################
# ...visual explorer window...
begin;id=3000;position=0,0;size=480,800;alpha=255:panel
background;tint=255:,0x151e2f

###############################################################################
# ...icon window and entries
begin;id=4;position=0,0;size=480,-88:panel
background;alpha=255;tint=0:res://app/explorer-panel-middle.png,0x0

# ...icon window decoration...
begin;size=-100,-88:image
background:res://app/explorer-panel-left.png,0x0
constraint:0
end:image
begin;size=100,-88:image
background:res://app/explorer-panel-right.png,0x0
constraint:1
end:image
begin;size=-60,-60:image
background:res://app/explorer-panel-logo.png,0x0
constraint:1
end:image

# ...icon [Up ID:1]...
begin;position=0,0;size=140,-88:panel
display;enabled=0:1
begin;position=-65,-30;size=75,-88;rule=1:label
textparams;alignment=1:0xC7DEF5
font;name=swiss:-22
label:Up
end:label
begin;position=-20,-30;size=-30,-30:image
background:res://app/explorer-icon-up.png,0x0
end:image
end:panel
begin;style=explorerButton;id=1;position=0,0;size=140,-88:button
background;tint=0:,0xffffff
border;alpha=120;thickness=1:0x3267AD
end:button

# ...icon [Exit ID:12]...
begin;position=140,0;size=160,-88:panel
display;enabled=0:1
begin;position=-65,-30;size=75,-88;rule=1:label
textparams;alignment=1:0xC7DEF5
font;name=swiss:-22
label:Exit
end:label
begin;position=-20,-30;size=-30,-30:image
background:res://app/explorer-icon-exit.png,0x0
end:image
end:panel
begin;style=explorerButton;id=12;position=140,0;size=160,-88:button
background;tint=0:,0xffffff
border;alpha=120;thickness=1:0x3267AD
end:button

end:panel

###############################################################################
# ...current directory indicator...hidden...
begin;id=5;position=1000,1000;size=480,30:label
textparams:0xffffff
label:vfe
textparams;alignment=4:0xffffff
end:label

###############################################################################
# ...explorer panel...includes grid...
begin;id=1;position=0,-90;size=480,710:panel
background;tint=255:,0x151e2f

# ...grid definition...
begin;id=2;position=0,0;size=480,710:grid
display;enabled=1:1
grid;cellsize=420,-90;inertia=131072,64;order=-2,1:32770
end:grid

#
# Disable slider until new api is up and running
#
## ...slider definition...
#begin;id=3;alpha=0;position=430,0;size=-40,710:slider
#border:0xfff000
#constraint;value=-15:1
#slider;range=100,100;point=38000,5000;point=38000,61000;snap=1:50
## ...slider track...
#begin;position=10,0;size=-27,710:panel
#begin;position=0,0;size=-27,710:image
#background;alpha=80:res://app/explorer-track-tile.png,0x0
#end:image
#end:panel
## ...slider thumb...
#begin;id=1;size=-25,-80:button
#background;alpha=200:res://app/explorer-scroll-all.png,0x0
#end:button
#end:slider

end:panel

end:panel
end:resource
