# Utf-8 format resource file for visual explorer
# $Id: visualexplorer.rsc,v 1.4.2.2 2010/08/27 12:39:24 johnf Exp $
begin:resource
prodid:lomond
version:2
font;name=swiss:18

###############################################################################
# ...file item display...
begin;id=3001;position=10000,0;size=320,56:panel
constraint;mode=1;value=100:5
background;alpha=255;tint=0:res://app/explorer-cell.png,0xC7DEF5
display;enabled=0:1
container:2

begin;id=1;position=42,8;size=190,46:textfield
constraint;mode=1;value=100:5
constraint;value=-140:18
font;name=swiss:17
textparams;truncation=2;alignment=4:0xd8e0eb
textfield;multiline=1;wrapping=1:
end:textfield

begin;id=2;position=230,18;size=80,28:textfield
constraint;value=-20:1
border;alpha=180:0x576e98
background;tint=180:,0x32405a
font;name=swiss:14
textparams;alignment=5:0xd8e0eb
textfield:-
end:textfield

begin;id=3;position=6,22;size=26,26:image
end:image
end:panel

###############################################################################
# ...directory item display...
begin;id=3002;position=10000,0;size=320,56:panel
constraint;mode=1;value=100:5
background;alpha=255;tint=0:res://app/explorer-cell.png,0xC7DEF5
display;enabled=0:1
container:2

begin;id=1;position=42,8;size=190,46:textfield
constraint;mode=1;value=100:5
constraint;value=-140:18
font;name=swiss:17
textparams;truncation=2;alignment=4:0xd8e0eb
textfield;multiline=1;wrapping=1:
end:textfield

begin;id=2;position=230,18;size=80,28:textfield
constraint;value=-10:1
border;alpha=180:0x576e98
background;tint=180:,0x32405a
font;name=swiss:14
textparams;alignment=5:0xd8e0eb
textfield:-
end:textfield

begin;id=3;position=6,22;size=26,26:image
end:image
end:panel

###############################################################################
# ...info item display...
begin;id=3003;position=10000,0;size=320,56:panel
constraint;mode=1;value=100:5
background;alpha=255;tint=255:res://app/explorer-cell.png,0x141e2e
display;enabled=0:1
container:2

begin;id=1;position=10,8;size=300,46:textfield
constraint;mode=1;value=100:5
constraint;value=-30:18
font;name=swiss:16
textparams;truncation=2;alignment=4:0xD8E0EB
textfield;multiline=1;wrapping=1:
end:textfield
end:panel


###############################################################################
# ...visual explorer window...
begin;id=3000;position=0,0;size=320,480;alpha=255:panel
constraint;mode=1;value=100:5
constraint;mode=1;value=100:8
background;tint=255:,0x151e2f

###############################################################################
# ...icon window and entries
begin;id=4;position=0,0;size=320,56:panel
constraint;mode=1;value=100:5
background;alpha=255;tint=0:res://app/explorer-panel-middle.png,0x0

# ...icon window decoration...
begin;size=56,56:image
background:res://app/explorer-panel-left.png,0x0
constraint:0
end:image
begin;size=66,56:image
background:res://app/explorer-panel-right.png,0x0
constraint:1
end:image

# ...icon [Home ID:2]...
begin;id=2;position=0,0;size=80,56:panel
begin;position=0,36;size=80,24:label
textparams;alignment=2:0xC7DEF5
font;name=swiss:14
label;string=122:
end:label
begin;position=17,6;size=46,40:image
background:res://app/explorer-icon-home.png,0x0
end:image
begin;size=3,56:image
background:res://app/explorer-panel-separator.png,0x0
constraint:1
end:image
begin;id=2;style=explorerButton;position=0,0;size=80,56:button
background;tint=0:,0xffffff
end:button
end:panel

# ...icon [Up ID:1]...
begin;id=1;position=80,0;size=80,56:panel
begin;position=0,36;size=80,24:label
textparams;alignment=2:0xC7DEF5
font;name=swiss:14
label;string=121:
end:label
begin;position=17,6;size=46,40:image
background:res://app/explorer-icon-up.png,0x0
end:image
begin;size=3,56:image
background:res://app/explorer-panel-separator.png,0x0
constraint:1
end:image
begin;id=1;style=explorerButton;position=0,0;size=100,56:button
background;tint=0:,0xffffff
end:button
end:panel

# ...icon [Help ID:13]...
begin;id=13;position=160,0;size=80,56:panel
begin;position=0,36;size=80,24:label
textparams;alignment=2:0xC7DEF5
font;name=swiss:14
label;string=123:
end:label
begin;position=17,6;size=46,40:image
background:res://app/explorer-icon-help.png,0x0
end:image
begin;size=3,56:image
background:res://app/explorer-panel-separator.png,0x0
constraint:1
end:image
begin;id=13;style=explorerButton;position=0,0;size=160,56:button
background;tint=0:,0xffffff
end:button
end:panel

# ...icon [Exit ID:12]...
begin;id=12;size=66,56:panel
constraint:1
begin;position=0,36;size=66,24:label
textparams;alignment=2:0xC7DEF5
font;name=swiss:14
label;string=120:
end:label
begin;position=10,6;size=46,40:image
background:res://app/explorer-panel-logo.png,0x0
end:image
begin;id=12;style=explorerButton;size=66,56:button
background;tint=0:,0xffffff
border;alpha=120;thickness=1:0x3267AD
end:button
end:panel

end:panel

###############################################################################
# ...current directory indicator...hidden...
begin;id=5;position=1000,1000;size=320,30:label
textparams:0xffffff
label:vfe
textparams;alignment=4:0xffffff
end:label

###############################################################################
# ...explorer panel...includes grid...
begin;id=1;position=0,56;size=480,717:panel
constraint;mode=1;value=100:5
constraint;mode=1;value=100:8
constraint;value=-56:21
background;tint=255:,0x151e2f

# ...grid definition...
begin;id=2;position=0,0;size=480,717:grid
constraint;mode=1;value=100:5
constraint;mode=1;value=100:8
display;enabled=1:1
grid;cellsize=320,56;inertia=131072,64;order=-2,1:32770
end:grid

end:panel

end:panel
end:resource
